## fontpens 0.3.0

=== requirements.txt ===
FontTools>=3.32.0

## fontpens 0.1.0

=== debian/changelog ===
fontpens (0.1.0-1) unstable; urgency=medium

  * Initial release. Closes: #895240

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Mon, 03 Sep 2018 01:22:09 +0800

=== debian/control ===
Source: fontpens
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>
Build-Depends: debhelper (>=11),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.1.4
Homepage: https://github.com/robofab-developers/fontPens
Vcs-Git: https://salsa.debian.org/fonts-team/fontpens.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fontpens

Package: python3-fontpens
Architecture: all
Section: python
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}
Description: Classes implementing Pen protocol for manipulating UFO glyphs
 fontPens implements Pen protocol, which are instructions to draw glyphs.  This
 protocol is established by RoboFabs, and this library is the reference
 implementation of the protocol, which is for manipulating UFO files.
 .
 The API is also compatible with FontForge Python API and FontLab VI Python
 API.

## fontpens 0.2.4

=== debian/changelog ===
fontpens (0.2.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build-Depend on python3-fonttools (>= 3.32.0)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 15 Dec 2018 14:49:33 -0500

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper (>=11),
                dh-python,
                python3-all,
+               python3-fonttools (>= 3.32.0),
                python3-setuptools
 Standards-Version: 4.1.4
 Homepage: https://github.com/robofab-developers/fontPens

=== debian/watch ===
version=4
https://github.com/robofab-developers/fontPens/releases \
 .*/v([0-9][0-9\.]*)@ARCHIVE_EXT@

## fontpens 0.2.4+git20230408

=== debian/changelog ===
fontpens (0.2.4+git20230408-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * debian/control:
    + Build-depends on pybuild-plugin-pyproject.
    + Build-depends on python3-pytest <!nocheck> for post-build tests.
  * debian/watch: Fix monitoring scripts.
  * debian/patches/Circumvent-doctest-failure-due-to-float-digits.patch:
    Add proposed patch to ignore minor float value difference due to
    different CPU hardware.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Apr 2024 22:29:53 -0400

=== debian/control ===
Source: fontpens
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Yao Wei (魏銘廷) <mwei@lxde.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-fontparts <!nocheck>,
 python3-fonttools (>= 3.32.0),
 python3-setuptools,
 python3-pytest <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/robotools/fontPens
Vcs-Git: https://salsa.debian.org/fonts-team/fontpens.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fontpens

Package: python3-fontpens
Architecture: all
Section: python
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Classes implementing Pen protocol for manipulating UFO glyphs
 fontPens implements Pen protocol, which are instructions to draw glyphs.  This
 protocol is established by RoboFabs, and this library is the reference
 implementation of the protocol, which is for manipulating UFO files.
 .
 The API is also compatible with FontForge Python API and FontLab VI Python
 API.

## fontpens 0.3.0

=== debian/changelog ===
fontpens (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Oct 2024 21:07:02 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-fontparts <!nocheck>,
- python3-fonttools (>= 3.32.0),
+ python3-fonttools,
  python3-setuptools,
  python3-pytest <!nocheck>,
 Standards-Version: 4.7.0

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/robotools/fontPens/tags?per_page=100 \
 https://api.github.com/repos/robotools/fontPens/tarball/refs/tags/@ANY_VERSION@
